X-Authentication-Warning: cassiopeia.home: geert owned process doing -bs
Date: Sat, 3 Jan 1998 23:24:43 +0100 (MET)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: "Frederick V. Heitkamp" <fheitka@ibm.net>
cc: Alan Hourihane <alanh@fairlite.demon.co.uk>,
        linux-m68k@lists.linux-m68k.org
Subject: Re: L68K: 2.1.72 and compiling with A4000T Scsi
In-Reply-To: <Pine.LNX.3.95.980103165101.165A-100000@pc1.ibm.net>
Sender: owner-linux-m68k@phil.uni-sb.de

On Sat, 3 Jan 1998, Fred Heitkamp wrote:
> On Sat, 3 Jan 1998, Alan Hourihane wrote:
> > This just sounds like a missing '/' for a comment.
> > 
> > Alan.
> >
> #ifndef AMIGA7XX_H
> 
> #include <linux/types.h>
> 
> int amiga7xx_detect(Scsi_Host_Template *);
> const char *NCR53c7x0_info(void);
> int NCR53c7xx_queue_command(Scsi_Cmnd *, void (*done)(Scsi_Cmnd *));
> int NCR53c7xx_abort(Scsi_Cmnd *);
> int NCR53c7x0_release (Scsi_Host *);
> ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> This is the offending line, so it seems to have  troubles with the
> Scsi_Host type.
> 
> int NCR53c7xx_reset(Scsi_Cmnd *, unsigned int);
> void NCR53c7x0_intr(int irq, void *dev_id, struct pt_regs * regs);

Here is a patch from Andr Heynatz. I think it fixes the above problem.

diff -u -r --exclude=RCS linux-2.1.72-orig/drivers/scsi/amiga7xx.h linux-2.1.72/drivers/scsi/amiga7xx.h
--- linux-2.1.72-orig/drivers/scsi/amiga7xx.h	Wed Dec 31 00:05:51 1997
+++ linux-2.1.72/drivers/scsi/amiga7xx.h	Wed Dec 31 00:53:40 1997
@@ -6,7 +6,7 @@
 const char *NCR53c7x0_info(void);
 int NCR53c7xx_queue_command(Scsi_Cmnd *, void (*done)(Scsi_Cmnd *));
 int NCR53c7xx_abort(Scsi_Cmnd *);
-int NCR53c7x0_release (Scsi_Host *);
+int NCR53c7x0_release (Scsi_Host_Template *);
 int NCR53c7xx_reset(Scsi_Cmnd *, unsigned int);
 void NCR53c7x0_intr(int irq, void *dev_id, struct pt_regs * regs);

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

